GDBserver

Macros
preprocessor.h File Reference

Go to the source code of this file.

## Macros
#define | CONCAT_1(a, b) a ## b
#define | CONCAT(a, b) CONCAT_1 (a, b)
#define | STRINGIFY_1(x) #x
#define | STRINGIFY(x) STRINGIFY_1 (x)
#define | ESC(...) __VA_ARGS__

## Macro Definition Documentation

## ◆ CONCAT

#define CONCAT | ( |  | a,
|  |  | b
| ) |  | CONCAT_1 (a, b)

Definition at line 25 of file preprocessor.h.

## ◆ CONCAT_1

#define CONCAT_1 | ( |  | a,
|  |  | b
| ) |  | a ## b

Definition at line 24 of file preprocessor.h.

## ◆ ESC

#define ESC | ( |  | ... | ) | __VA_ARGS__

Definition at line 33 of file preprocessor.h.

## ◆ STRINGIFY

#define STRINGIFY | ( |  | x | ) | STRINGIFY_1 (x)

Definition at line 29 of file preprocessor.h.

## ◆ STRINGIFY_1

#define STRINGIFY_1 | ( |  | x | ) | #x

Definition at line 28 of file preprocessor.h.